Summary: NSS library and PAM module for LDAP.
Name: nss_ldap
%define pam_ldap_version 156
Version: 202
Release: 1.2mdk
Source0: ftp://ftp.padl.com/pub/%{name}-%{version}.tar.bz2
Source1: ldap.conf
Source2: ftp://ftp.padl.com/pub/pam_ldap-%{pam_ldap_version}.tar.bz2
Patch0:	 nss_ldap-makefile.patch.bz2
Patch1:	 pam_ldap-156-makefile.patch.bz2
Patch2:  pam_ldap-107-dnsconfig.patch.bz2
Patch3:  nss_ldap-104-pam_console.patch
URL: http://www.padl.com/
Copyright: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: openldap-devel, pam-devel
Obsoletes: pam_ldap


%description
This package includes two LDAP access clients: nss_ldap and pam_ldap.
nss_ldap is a set of C library extensions which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install nss_ldap if you need LDAP access clients.

%prep
%setup -q -a 2
%patch0 -p1 -b .nss_make
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.fixtypo
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.pam_console
rm -f pam_ldap-%{pam_ldap_version}/pam.d/*.redhat

pushd pam_ldap-%{pam_ldap_version}
%patch1 -p1 -b .pam_make
%patch2 -p1 -b .pam_dns
%patch3 -p2 -b .pam_console
cp ../resolve.c .
cp ../resolve.h .
popd

%build
rm -rf $RPM_BUILD_ROOT
%serverbuild
# Build nss_ldap.
aclocal && automake && autoheader && autoconf
%configure --with-ldap-lib=openldap --enable-schema-mapping --enable-debug \
--enable-rfc2307bis --enable-ids-uid --libdir=/lib
%__make INST_UID=`id -u` INST_GID=`id -g`

# Build pam_ldap.
pushd pam_ldap-%{pam_ldap_version}
touch NEWS
aclocal && automake && autoheader && autoconf
%configure --with-ldap-lib=openldap --libdir=/lib
%__make
popd


#make COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC" -f Makefile.RPM 

#pushd pam_ldap-%{pam_ldap_version}
#  touch AUTHORS NEWS
#  %#configure
#  make
#  mv README README.pam
#  mv ChangeLog ChangeLog.pam
#popd


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT/lib/security

# Install the nsswitch module.
%make install DESTDIR="${RPM_BUILD_ROOT}" INST_UID=`id -u` INST_GID=`id -g` \
	libdir=/lib


# Install the module for PAM.
pushd pam_ldap-%{pam_ldap_version}
%make install DESTDIR="$RPM_BUILD_ROOT" libdir=/lib
popd
echo "secret" > $RPM_BUILD_ROOT/%{_sysconfdir}/ldap.secret

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ldap.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/lib/*.so*
/usr/lib/*
/lib/security/*.so*
%doc ANNOUNCE AUTHORS ChangeLog COPYING NEWS README doc INSTALL
%doc nsswitch.ldap certutil
%attr (600,root,root) %config(noreplace) %{_sysconfdir}/ldap.secret
%attr (644,root,root) %config(noreplace) %{_sysconfdir}/ldap.conf


%changelog
* Wed Oct 30 2002 Vincent Danen <vdanen@mandrakesoft.com> 202-1.2mdk
- security update for 7.2/8.0 (pam_ldap 156, nss_ldap 202)

* Fri Nov 03 2000 Vincent Danen <vdanen@mandrakesoft.com> 122-1.1mdk
- update to nss_ldap 122 and pam_ldap 77
- security fixes (see MDKSA-2000:066)

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 107-2mdk
- rebuilt with new %doc macro

* Fri Mar 31 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- merge with Nalin Dahyabhai'RH patchs
- update to nss_ldap 107
- update to pam_ldap 46
- change group

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppatch in Buildroot.
- changes in the description text.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.
- Fix building as user.

* Fri Oct 22 1999 Bill Nottingham <notting@redhat.com>
- statically link ldap libraries (they're in /usr/lib)

* Tue Aug 10 1999 Cristian Gafton <gafton@redhat.com>
- use the ldap.conf file as an external source
- don't forcibly build the support for version 3
- imported the default spec file from the tarball and fixed it up for RH 6.1
